
TYPO3.Neos - Feature # 48307

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Should have
Author: Aske Ertmann Category: UI
Created: 2013-05-16 Assigned To:
Updated: 2014-11-02 Due date:
Subject: Support changing node type in the inspector
Description

It should be possible to change node type in the inspector. We should just make a select box with option groups for the node
categories

All properties that are not already in the node should be created with their default value if it has one

Associated revisions
Revision 45f1115e - 2014-03-26 14:32 - Aske Ertmann

[BUGFIX] Select box editor values inaccessible in inspector

If a select box editor has options that are longer than the
available height in the inspector they are inaccessible.

Also removes the mouse scroll binding that makes it impossible to
scroll the inspector down when after scrolling the options to the bottom.

Change-Id: I6a3a756e04478b3f710507d3c2ac396e630fda00
Releases: master, 1.1, 1.0
Related: #48307
Reviewed-on: https://review.typo3.org/28832
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns

Revision 9410325d - 2014-03-26 15:31 - Aske Ertmann

[BUGFIX] Select box editor values inaccessible in inspector

If a select box editor has options that are longer than the
available height in the inspector they are inaccessible.

Also removes the mouse scroll binding that makes it impossible to
scroll the inspector down when after scrolling the options to the bottom.

Change-Id: I6a3a756e04478b3f710507d3c2ac396e630fda00
Releases: master, 1.1, 1.0
Related: #48307
Reviewed-on: https://review.typo3.org/28836
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision e4ed0ceb - 2014-03-26 15:31 - Aske Ertmann

[BUGFIX] Select box editor values inaccessible in inspector

If a select box editor has options that are longer than the
available height in the inspector they are inaccessible.

Also removes the mouse scroll binding that makes it impossible to
scroll the inspector down when after scrolling the options to the bottom.

Change-Id: I6a3a756e04478b3f710507d3c2ac396e630fda00
Releases: master, 1.1, 1.0
Related: #48307
Reviewed-on: https://review.typo3.org/28835
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision 680d87a4 - 2014-03-26 17:17 - Dominique Feyer

[FEATURE] Node type switching support

This patch adds a new select box in the Inspector for node types
based on TYPO3.Neos:Content and TYPO3.Neos:Document to allow
changing the current node type.

Change-Id: Ia58d5584fa886551d3700847d2307f0c011e490e
Related: #48307
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/25178
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision 0bd60a2a - 2014-03-26 17:18 - Dominique Feyer

[FEATURE] Node type switching support

This patch adds a new select box in the Inspector for node types
based on TYPO3.Neos:Content and TYPO3.Neos:Document to allow
changing the current node type.

Change-Id: Ia58d5584fa886551d3700847d2307f0c011e490e
Related: #48307
Releases: master, 1.1
Reviewed-on: https://review.typo3.org/28853
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
History
#1 - 2013-05-17 16:26 - Pankaj Lele
- Category set to UI
- Status changed from New to Accepted
- Assigned To set to Pankaj Lele
- Target version set to 1.0 beta 1

#2 - 2013-07-02 19:10 - Aske Ertmann

Hello Pankaj

Any news about this feature? I remember we discussed some stuff and possibly some actual coding, but I don't really know the status..

Best regards
Aske

#3 - 2013-07-02 19:20 - Pankaj Lele

Any news about this feature? I remember we discussed some stuff and possibly some actual coding, but I don't really know the status..

Hi Aske,

Nothing happened on this yet. Was just busy in regular office work mainly implementing some Neos based sites though :)
I can imagine I can work on this in week 14th to 20th July. Hope that is "ok".

-Pankaj

#4 - 2013-07-03 10:40 - Aske Ertmann

Sure no problem. Was just reminded of this feature and interested in the status of it..

#5 - 2013-10-18 11:03 - Pankaj Lele
- Assigned To changed from Pankaj Lele to Dominique Feyer

#6 - 2013-11-05 18:43 - Dominique Feyer
- Status changed from Accepted to Under Review

https://review.typo3.org/#/c/25177/
https://review.typo3.org/#/c/25178/

#7 - 2013-12-08 18:40 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26013

#8 - 2013-12-08 18:41 - Gerrit Code Review
Patch set 6 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26013

#9 - 2013-12-08 18:42 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26013

#10 - 2013-12-08 18:45 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26013

#11 - 2013-12-08 18:45 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/26013

#12 - 2013-12-09 14:37 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25177

#13 - 2014-03-01 23:29 - Gerrit Code Review

Patch set 16 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25177

#14 - 2014-03-02 22:54 - Gerrit Code Review

Patch set 17 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25177

#15 - 2014-03-26 13:45 - Gerrit Code Review

Patch set 18 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25177

#16 - 2014-03-26 13:46 - Gerrit Code Review

Patch set 19 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25177

#17 - 2014-03-26 14:24 - Gerrit Code Review
Patch set 20 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25177

#18 - 2014-03-26 14:31 - Gerrit Code Review

Patch set 21 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25177

#19 - 2014-03-26 15:07 - Gerrit Code Review

Patch set 22 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25177

#20 - 2014-03-26 16:02 - Gerrit Code Review

Patch set 23 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25177

#21 - 2014-03-26 16:05 - Gerrit Code Review

Patch set 24 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25177

#22 - 2014-03-26 17:19 - Gerrit Code Review

Patch set 25 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25177

#23 - 2014-03-26 17:46 - Gerrit Code Review

Patch set 1 for branch 1.1 of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/28864

#24 - 2014-04-02 16:08 - Aske Ertmann
- Status changed from Under Review to Resolved
- Assigned To deleted (Dominique Feyer)
- Target version changed from 1.0 beta 1 to 1.1
- % Done changed from 0 to 100

#25 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
